// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		379F4255E02B593B42DDE51A /* libPods-Bonus.a in Frameworks */ = {isa = PBXBuildFile; fileRef = BB32D5DE2EB57E7A580EED53 /* libPods-Bonus.a */; };
		9257411C1F2147A200EFF11C /* PurchaseShopWithPromoCodeController.m in Sources */ = {isa = PBXBuildFile; fileRef = 9257411A1F2147A200EFF11C /* PurchaseShopWithPromoCodeController.m */; };
		9257411F1F2153F600EFF11C /* PromoShopPinEnterController.m in Sources */ = {isa = PBXBuildFile; fileRef = 9257411D1F2153F600EFF11C /* PromoShopPinEnterController.m */; };
		9275055E1F267ED5004B7D98 /* PromoShopCompleteController.m in Sources */ = {isa = PBXBuildFile; fileRef = 9275055D1F267ED5004B7D98 /* PromoShopCompleteController.m */; };
		9286EE1F1F16AD99007BF018 /* Utils.m in Sources */ = {isa = PBXBuildFile; fileRef = 9286EE1E1F16AD99007BF018 /* Utils.m */; };
		FA00817E1E408E6700EFBF8A /* PurchaseWithPromoCodeController.m in Sources */ = {isa = PBXBuildFile; fileRef = FA00817D1E408E6700EFBF8A /* PurchaseWithPromoCodeController.m */; };
		FA0081811E40A67900EFBF8A /* Discount.m in Sources */ = {isa = PBXBuildFile; fileRef = FA0081801E40A67900EFBF8A /* Discount.m */; };
		FA281FC71E40C2F2005F8D18 /* PromoPinEnterController.m in Sources */ = {isa = PBXBuildFile; fileRef = FA281FC61E40C2F2005F8D18 /* PromoPinEnterController.m */; };
		FA281FCF1E40D433005F8D18 /* ic_arrow_back.png in Resources */ = {isa = PBXBuildFile; fileRef = FA281FCB1E40D433005F8D18 /* ic_arrow_back.png */; };
		FA281FD01E40D433005F8D18 /* ic_arrow_back_2x.png in Resources */ = {isa = PBXBuildFile; fileRef = FA281FCC1E40D433005F8D18 /* ic_arrow_back_2x.png */; };
		FA281FD11E40D433005F8D18 /* ic_arrow_back_3x.png in Resources */ = {isa = PBXBuildFile; fileRef = FA281FCD1E40D433005F8D18 /* ic_arrow_back_3x.png */; };
		FA281FD41E40E96C005F8D18 /* PromoCompleteController.m in Sources */ = {isa = PBXBuildFile; fileRef = FA281FD31E40E96C005F8D18 /* PromoCompleteController.m */; };
		FA281FDA1E40F1DE005F8D18 /* BaseViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = FA281FD91E40F1DE005F8D18 /* BaseViewController.m */; };
		FA2834FD1E4247B20092F0E5 /* UserNotificationsUI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = FA2834FC1E4247B20092F0E5 /* UserNotificationsUI.framework */; };
		FA38A5431E2BF70A00F76774 /* BonusesController.m in Sources */ = {isa = PBXBuildFile; fileRef = FA38A5421E2BF70A00F76774 /* BonusesController.m */; };
		FA38A54C1E2BFDE300F76774 /* CHRCardNumberMask.m in Sources */ = {isa = PBXBuildFile; fileRef = FA38A5461E2BFDE300F76774 /* CHRCardNumberMask.m */; };
		FA38A54D1E2BFDE300F76774 /* CHRPhoneNumberMask.m in Sources */ = {isa = PBXBuildFile; fileRef = FA38A5481E2BFDE300F76774 /* CHRPhoneNumberMask.m */; };
		FA38A54E1E2BFDE300F76774 /* CHRTextFieldFormatter.m in Sources */ = {isa = PBXBuildFile; fileRef = FA38A54A1E2BFDE300F76774 /* CHRTextFieldFormatter.m */; };
		FA38A5521E2C37E100F76774 /* BonusInfoController.m in Sources */ = {isa = PBXBuildFile; fileRef = FA38A5511E2C37E100F76774 /* BonusInfoController.m */; };
		FA7B1B3E1E3500CA00FEAE92 /* PinCodeGetController.m in Sources */ = {isa = PBXBuildFile; fileRef = FA7B1B3D1E3500CA00FEAE92 /* PinCodeGetController.m */; };
		FA8245C81E2CDFAA00A0D6EB /* MTBBarcodeScanner.m in Sources */ = {isa = PBXBuildFile; fileRef = FA8245C71E2CDFAA00A0D6EB /* MTBBarcodeScanner.m */; };
		FAA1C35D1E2B8CC7001C86FE /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C35C1E2B8CC7001C86FE /* main.m */; };
		FAA1C3601E2B8CC7001C86FE /* AppDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C35F1E2B8CC7001C86FE /* AppDelegate.m */; };
		FAA1C3661E2B8CC7001C86FE /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = FAA1C3641E2B8CC7001C86FE /* Main.storyboard */; };
		FAA1C3681E2B8CC7001C86FE /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = FAA1C3671E2B8CC7001C86FE /* Assets.xcassets */; };
		FAA1C36B1E2B8CC7001C86FE /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = FAA1C3691E2B8CC7001C86FE /* LaunchScreen.storyboard */; };
		FAA1C3751E2B8D08001C86FE /* LoginController.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3741E2B8D08001C86FE /* LoginController.m */; };
		FAA1C39A1E2B9956001C86FE /* AFAutoPurgingImageCache.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3791E2B9956001C86FE /* AFAutoPurgingImageCache.m */; };
		FAA1C39B1E2B9956001C86FE /* AFImageDownloader.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C37B1E2B9956001C86FE /* AFImageDownloader.m */; };
		FAA1C39C1E2B9956001C86FE /* AFNetworkActivityIndicatorManager.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C37D1E2B9956001C86FE /* AFNetworkActivityIndicatorManager.m */; };
		FAA1C39D1E2B9956001C86FE /* UIActivityIndicatorView+AFNetworking.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C37F1E2B9956001C86FE /* UIActivityIndicatorView+AFNetworking.m */; };
		FAA1C39E1E2B9956001C86FE /* UIButton+AFNetworking.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3811E2B9956001C86FE /* UIButton+AFNetworking.m */; };
		FAA1C39F1E2B9956001C86FE /* UIImageView+AFNetworking.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3841E2B9956001C86FE /* UIImageView+AFNetworking.m */; };
		FAA1C3A01E2B9956001C86FE /* UIProgressView+AFNetworking.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3871E2B9956001C86FE /* UIProgressView+AFNetworking.m */; };
		FAA1C3A11E2B9957001C86FE /* UIRefreshControl+AFNetworking.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3891E2B9956001C86FE /* UIRefreshControl+AFNetworking.m */; };
		FAA1C3A21E2B9957001C86FE /* UIWebView+AFNetworking.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C38B1E2B9956001C86FE /* UIWebView+AFNetworking.m */; };
		FAA1C3A31E2B9957001C86FE /* AFHTTPSessionManager.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C38E1E2B9956001C86FE /* AFHTTPSessionManager.m */; };
		FAA1C3A41E2B9957001C86FE /* AFNetworkReachabilityManager.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3911E2B9956001C86FE /* AFNetworkReachabilityManager.m */; };
		FAA1C3A51E2B9957001C86FE /* AFSecurityPolicy.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3931E2B9956001C86FE /* AFSecurityPolicy.m */; };
		FAA1C3A61E2B9957001C86FE /* AFURLRequestSerialization.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3951E2B9956001C86FE /* AFURLRequestSerialization.m */; };
		FAA1C3A71E2B9957001C86FE /* AFURLResponseSerialization.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3971E2B9956001C86FE /* AFURLResponseSerialization.m */; };
		FAA1C3A81E2B9957001C86FE /* AFURLSessionManager.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3991E2B9956001C86FE /* AFURLSessionManager.m */; };
		FAA1C3AB1E2B99B2001C86FE /* ServerManager.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3AA1E2B99B2001C86FE /* ServerManager.m */; };
		FAA1C3AF1E2BAB4C001C86FE /* UserI.m in Sources */ = {isa = PBXBuildFile; fileRef = FAA1C3AE1E2BAB4C001C86FE /* UserI.m */; };
		FABB88F21E3F5E9900D88989 /* ClientController.m in Sources */ = {isa = PBXBuildFile; fileRef = FABB88F11E3F5E9900D88989 /* ClientController.m */; };
		FABB88FF1E3F756900D88989 /* BaseClass.m in Sources */ = {isa = PBXBuildFile; fileRef = FABB88F51E3F756900D88989 /* BaseClass.m */; };
		FABB89001E3F756900D88989 /* Companies.m in Sources */ = {isa = PBXBuildFile; fileRef = FABB88F71E3F756900D88989 /* Companies.m */; };
		FABB89011E3F756900D88989 /* Data.m in Sources */ = {isa = PBXBuildFile; fileRef = FABB88F91E3F756900D88989 /* Data.m */; };
		FABB89021E3F756900D88989 /* List.m in Sources */ = {isa = PBXBuildFile; fileRef = FABB88FC1E3F756900D88989 /* List.m */; };
		FABB89031E3F756900D88989 /* User.m in Sources */ = {isa = PBXBuildFile; fileRef = FABB88FE1E3F756900D88989 /* User.m */; };
		FABB89061E3F97A700D88989 /* ClientCell.m in Sources */ = {isa = PBXBuildFile; fileRef = FABB89051E3F97A700D88989 /* ClientCell.m */; };
		FACFB20E1E41F349008A3365 /* GoogleService-Info.plist in Resources */ = {isa = PBXBuildFile; fileRef = FACFB20D1E41F349008A3365 /* GoogleService-Info.plist */; };
		FAD00E5C1E2CC0DA00FE696E /* ScanController.m in Sources */ = {isa = PBXBuildFile; fileRef = FAD00E5B1E2CC0DA00FE696E /* ScanController.m */; };
		FAD5B4891E3F3FC800521825 /* RESTData.m in Sources */ = {isa = PBXBuildFile; fileRef = FAD5B4881E3F3FC800521825 /* RESTData.m */; };
		FAD5B48C1E3F555B00521825 /* CompleteController.m in Sources */ = {isa = PBXBuildFile; fileRef = FAD5B48B1E3F555B00521825 /* CompleteController.m */; };
		FAF1C22F1E41F7200028672A /* UserNotifications.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = FAF1C22E1E41F7200028672A /* UserNotifications.framework */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		9257411A1F2147A200EFF11C /* PurchaseShopWithPromoCodeController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = PurchaseShopWithPromoCodeController.m; sourceTree = "<group>"; };
		9257411B1F2147A200EFF11C /* PurchaseShopWithPromoCodeController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = PurchaseShopWithPromoCodeController.h; sourceTree = "<group>"; };
		9257411D1F2153F600EFF11C /* PromoShopPinEnterController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = PromoShopPinEnterController.m; sourceTree = "<group>"; };
		9257411E1F2153F600EFF11C /* PromoShopPinEnterController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = PromoShopPinEnterController.h; sourceTree = "<group>"; };
		9275055C1F267ED5004B7D98 /* PromoShopCompleteController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = PromoShopCompleteController.h; sourceTree = "<group>"; };
		9275055D1F267ED5004B7D98 /* PromoShopCompleteController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = PromoShopCompleteController.m; sourceTree = "<group>"; };
		9286EE1D1F16AD99007BF018 /* Utils.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = Utils.h; sourceTree = "<group>"; };
		9286EE1E1F16AD99007BF018 /* Utils.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = Utils.m; sourceTree = "<group>"; };
		B96EBA7629C4011E6FD672AA /* Pods-Bonus.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Bonus.release.xcconfig"; path = "Pods/Target Support Files/Pods-Bonus/Pods-Bonus.release.xcconfig"; sourceTree = "<group>"; };
		BB32D5DE2EB57E7A580EED53 /* libPods-Bonus.a */ = {isa = PBXFileReference; explicitFileType = archive.ar; includeInIndex = 0; path = "libPods-Bonus.a"; sourceTree = BUILT_PRODUCTS_DIR; };
		F6E6445304AEBFE693FC6625 /* Pods-Bonus.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Bonus.debug.xcconfig"; path = "Pods/Target Support Files/Pods-Bonus/Pods-Bonus.debug.xcconfig"; sourceTree = "<group>"; };
		FA00817C1E408E6700EFBF8A /* PurchaseWithPromoCodeController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = PurchaseWithPromoCodeController.h; sourceTree = "<group>"; };
		FA00817D1E408E6700EFBF8A /* PurchaseWithPromoCodeController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = PurchaseWithPromoCodeController.m; sourceTree = "<group>"; };
		FA00817F1E40A67900EFBF8A /* Discount.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = Discount.h; sourceTree = "<group>"; };
		FA0081801E40A67900EFBF8A /* Discount.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = Discount.m; sourceTree = "<group>"; };
		FA281FC51E40C2F2005F8D18 /* PromoPinEnterController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = PromoPinEnterController.h; sourceTree = "<group>"; };
		FA281FC61E40C2F2005F8D18 /* PromoPinEnterController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = PromoPinEnterController.m; sourceTree = "<group>"; };
		FA281FCB1E40D433005F8D18 /* ic_arrow_back.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = ic_arrow_back.png; sourceTree = "<group>"; };
		FA281FCC1E40D433005F8D18 /* ic_arrow_back_2x.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = ic_arrow_back_2x.png; sourceTree = "<group>"; };
		FA281FCD1E40D433005F8D18 /* ic_arrow_back_3x.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = ic_arrow_back_3x.png; sourceTree = "<group>"; };
		FA281FD21E40E96C005F8D18 /* PromoCompleteController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = PromoCompleteController.h; sourceTree = "<group>"; };
		FA281FD31E40E96C005F8D18 /* PromoCompleteController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = PromoCompleteController.m; sourceTree = "<group>"; };
		FA281FD81E40F1DE005F8D18 /* BaseViewController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = BaseViewController.h; sourceTree = "<group>"; };
		FA281FD91E40F1DE005F8D18 /* BaseViewController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = BaseViewController.m; sourceTree = "<group>"; };
		FA2834FC1E4247B20092F0E5 /* UserNotificationsUI.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = UserNotificationsUI.framework; path = System/Library/Frameworks/UserNotificationsUI.framework; sourceTree = SDKROOT; };
		FA38A5411E2BF70A00F76774 /* BonusesController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = BonusesController.h; sourceTree = "<group>"; };
		FA38A5421E2BF70A00F76774 /* BonusesController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = BonusesController.m; sourceTree = "<group>"; };
		FA38A5451E2BFDE300F76774 /* CHRCardNumberMask.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = CHRCardNumberMask.h; sourceTree = "<group>"; };
		FA38A5461E2BFDE300F76774 /* CHRCardNumberMask.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = CHRCardNumberMask.m; sourceTree = "<group>"; };
		FA38A5471E2BFDE300F76774 /* CHRPhoneNumberMask.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = CHRPhoneNumberMask.h; sourceTree = "<group>"; };
		FA38A5481E2BFDE300F76774 /* CHRPhoneNumberMask.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = CHRPhoneNumberMask.m; sourceTree = "<group>"; };
		FA38A5491E2BFDE300F76774 /* CHRTextFieldFormatter.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = CHRTextFieldFormatter.h; sourceTree = "<group>"; };
		FA38A54A1E2BFDE300F76774 /* CHRTextFieldFormatter.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = CHRTextFieldFormatter.m; sourceTree = "<group>"; };
		FA38A54B1E2BFDE300F76774 /* CHRTextMask.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = CHRTextMask.h; sourceTree = "<group>"; };
		FA38A54F1E2C237A00F76774 /* Constants.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = Constants.h; sourceTree = "<group>"; };
		FA38A5501E2C37E100F76774 /* BonusInfoController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = BonusInfoController.h; sourceTree = "<group>"; };
		FA38A5511E2C37E100F76774 /* BonusInfoController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = BonusInfoController.m; sourceTree = "<group>"; };
		FA7B1B3C1E3500CA00FEAE92 /* PinCodeGetController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = PinCodeGetController.h; sourceTree = "<group>"; };
		FA7B1B3D1E3500CA00FEAE92 /* PinCodeGetController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = PinCodeGetController.m; sourceTree = "<group>"; };
		FA8245C61E2CDFAA00A0D6EB /* MTBBarcodeScanner.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MTBBarcodeScanner.h; sourceTree = "<group>"; };
		FA8245C71E2CDFAA00A0D6EB /* MTBBarcodeScanner.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MTBBarcodeScanner.m; sourceTree = "<group>"; };
		FAA1C3581E2B8CC7001C86FE /* Bonus.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Bonus.app; sourceTree = BUILT_PRODUCTS_DIR; };
		FAA1C35C1E2B8CC7001C86FE /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
		FAA1C35E1E2B8CC7001C86FE /* AppDelegate.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AppDelegate.h; sourceTree = "<group>"; };
		FAA1C35F1E2B8CC7001C86FE /* AppDelegate.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AppDelegate.m; sourceTree = "<group>"; };
		FAA1C3651E2B8CC7001C86FE /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		FAA1C3671E2B8CC7001C86FE /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		FAA1C36A1E2B8CC7001C86FE /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		FAA1C36C1E2B8CC7001C86FE /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		FAA1C3731E2B8D08001C86FE /* LoginController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = LoginController.h; sourceTree = "<group>"; };
		FAA1C3741E2B8D08001C86FE /* LoginController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = LoginController.m; sourceTree = "<group>"; };
		FAA1C3781E2B9956001C86FE /* AFAutoPurgingImageCache.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFAutoPurgingImageCache.h; sourceTree = "<group>"; };
		FAA1C3791E2B9956001C86FE /* AFAutoPurgingImageCache.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AFAutoPurgingImageCache.m; sourceTree = "<group>"; };
		FAA1C37A1E2B9956001C86FE /* AFImageDownloader.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFImageDownloader.h; sourceTree = "<group>"; };
		FAA1C37B1E2B9956001C86FE /* AFImageDownloader.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AFImageDownloader.m; sourceTree = "<group>"; };
		FAA1C37C1E2B9956001C86FE /* AFNetworkActivityIndicatorManager.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFNetworkActivityIndicatorManager.h; sourceTree = "<group>"; };
		FAA1C37D1E2B9956001C86FE /* AFNetworkActivityIndicatorManager.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AFNetworkActivityIndicatorManager.m; sourceTree = "<group>"; };
		FAA1C37E1E2B9956001C86FE /* UIActivityIndicatorView+AFNetworking.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIActivityIndicatorView+AFNetworking.h"; sourceTree = "<group>"; };
		FAA1C37F1E2B9956001C86FE /* UIActivityIndicatorView+AFNetworking.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIActivityIndicatorView+AFNetworking.m"; sourceTree = "<group>"; };
		FAA1C3801E2B9956001C86FE /* UIButton+AFNetworking.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIButton+AFNetworking.h"; sourceTree = "<group>"; };
		FAA1C3811E2B9956001C86FE /* UIButton+AFNetworking.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIButton+AFNetworking.m"; sourceTree = "<group>"; };
		FAA1C3821E2B9956001C86FE /* UIImage+AFNetworking.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIImage+AFNetworking.h"; sourceTree = "<group>"; };
		FAA1C3831E2B9956001C86FE /* UIImageView+AFNetworking.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIImageView+AFNetworking.h"; sourceTree = "<group>"; };
		FAA1C3841E2B9956001C86FE /* UIImageView+AFNetworking.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIImageView+AFNetworking.m"; sourceTree = "<group>"; };
		FAA1C3851E2B9956001C86FE /* UIKit+AFNetworking.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIKit+AFNetworking.h"; sourceTree = "<group>"; };
		FAA1C3861E2B9956001C86FE /* UIProgressView+AFNetworking.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIProgressView+AFNetworking.h"; sourceTree = "<group>"; };
		FAA1C3871E2B9956001C86FE /* UIProgressView+AFNetworking.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIProgressView+AFNetworking.m"; sourceTree = "<group>"; };
		FAA1C3881E2B9956001C86FE /* UIRefreshControl+AFNetworking.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIRefreshControl+AFNetworking.h"; sourceTree = "<group>"; };
		FAA1C3891E2B9956001C86FE /* UIRefreshControl+AFNetworking.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIRefreshControl+AFNetworking.m"; sourceTree = "<group>"; };
		FAA1C38A1E2B9956001C86FE /* UIWebView+AFNetworking.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIWebView+AFNetworking.h"; sourceTree = "<group>"; };
		FAA1C38B1E2B9956001C86FE /* UIWebView+AFNetworking.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIWebView+AFNetworking.m"; sourceTree = "<group>"; };
		FAA1C38D1E2B9956001C86FE /* AFHTTPSessionManager.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFHTTPSessionManager.h; sourceTree = "<group>"; };
		FAA1C38E1E2B9956001C86FE /* AFHTTPSessionManager.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AFHTTPSessionManager.m; sourceTree = "<group>"; };
		FAA1C38F1E2B9956001C86FE /* AFNetworking.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFNetworking.h; sourceTree = "<group>"; };
		FAA1C3901E2B9956001C86FE /* AFNetworkReachabilityManager.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFNetworkReachabilityManager.h; sourceTree = "<group>"; };
		FAA1C3911E2B9956001C86FE /* AFNetworkReachabilityManager.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AFNetworkReachabilityManager.m; sourceTree = "<group>"; };
		FAA1C3921E2B9956001C86FE /* AFSecurityPolicy.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFSecurityPolicy.h; sourceTree = "<group>"; };
		FAA1C3931E2B9956001C86FE /* AFSecurityPolicy.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AFSecurityPolicy.m; sourceTree = "<group>"; };
		FAA1C3941E2B9956001C86FE /* AFURLRequestSerialization.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFURLRequestSerialization.h; sourceTree = "<group>"; };
		FAA1C3951E2B9956001C86FE /* AFURLRequestSerialization.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AFURLRequestSerialization.m; sourceTree = "<group>"; };
		FAA1C3961E2B9956001C86FE /* AFURLResponseSerialization.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFURLResponseSerialization.h; sourceTree = "<group>"; };
		FAA1C3971E2B9956001C86FE /* AFURLResponseSerialization.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AFURLResponseSerialization.m; sourceTree = "<group>"; };
		FAA1C3981E2B9956001C86FE /* AFURLSessionManager.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AFURLSessionManager.h; sourceTree = "<group>"; };
		FAA1C3991E2B9956001C86FE /* AFURLSessionManager.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AFURLSessionManager.m; sourceTree = "<group>"; };
		FAA1C3A91E2B99B2001C86FE /* ServerManager.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ServerManager.h; sourceTree = "<group>"; };
		FAA1C3AA1E2B99B2001C86FE /* ServerManager.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ServerManager.m; sourceTree = "<group>"; };
		FAA1C3AD1E2BAB4C001C86FE /* UserI.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = UserI.h; sourceTree = "<group>"; };
		FAA1C3AE1E2BAB4C001C86FE /* UserI.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = UserI.m; sourceTree = "<group>"; };
		FABB88F01E3F5E9900D88989 /* ClientController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ClientController.h; sourceTree = "<group>"; };
		FABB88F11E3F5E9900D88989 /* ClientController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ClientController.m; sourceTree = "<group>"; };
		FABB88F41E3F756900D88989 /* BaseClass.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = BaseClass.h; sourceTree = "<group>"; };
		FABB88F51E3F756900D88989 /* BaseClass.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = BaseClass.m; sourceTree = "<group>"; };
		FABB88F61E3F756900D88989 /* Companies.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = Companies.h; sourceTree = "<group>"; };
		FABB88F71E3F756900D88989 /* Companies.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = Companies.m; sourceTree = "<group>"; };
		FABB88F81E3F756900D88989 /* Data.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = Data.h; sourceTree = "<group>"; };
		FABB88F91E3F756900D88989 /* Data.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = Data.m; sourceTree = "<group>"; };
		FABB88FA1E3F756900D88989 /* DataModels.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DataModels.h; sourceTree = "<group>"; };
		FABB88FB1E3F756900D88989 /* List.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = List.h; sourceTree = "<group>"; };
		FABB88FC1E3F756900D88989 /* List.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = List.m; sourceTree = "<group>"; };
		FABB88FD1E3F756900D88989 /* User.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = User.h; sourceTree = "<group>"; };
		FABB88FE1E3F756900D88989 /* User.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = User.m; sourceTree = "<group>"; };
		FABB89041E3F97A700D88989 /* ClientCell.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ClientCell.h; sourceTree = "<group>"; };
		FABB89051E3F97A700D88989 /* ClientCell.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ClientCell.m; sourceTree = "<group>"; };
		FACFB20D1E41F349008A3365 /* GoogleService-Info.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; path = "GoogleService-Info.plist"; sourceTree = "<group>"; };
		FAD00E5A1E2CC0DA00FE696E /* ScanController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ScanController.h; sourceTree = "<group>"; };
		FAD00E5B1E2CC0DA00FE696E /* ScanController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ScanController.m; sourceTree = "<group>"; };
		FAD5B4871E3F3FC800521825 /* RESTData.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = RESTData.h; sourceTree = "<group>"; };
		FAD5B4881E3F3FC800521825 /* RESTData.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = RESTData.m; sourceTree = "<group>"; };
		FAD5B48A1E3F555B00521825 /* CompleteController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = CompleteController.h; sourceTree = "<group>"; };
		FAD5B48B1E3F555B00521825 /* CompleteController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = CompleteController.m; sourceTree = "<group>"; };
		FAF1C22E1E41F7200028672A /* UserNotifications.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = UserNotifications.framework; path = System/Library/Frameworks/UserNotifications.framework; sourceTree = SDKROOT; };
		FAF1C2301E4216030028672A /* Bonus.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = Bonus.entitlements; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		FAA1C3551E2B8CC6001C86FE /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FA2834FD1E4247B20092F0E5 /* UserNotificationsUI.framework in Frameworks */,
				FAF1C22F1E41F7200028672A /* UserNotifications.framework in Frameworks */,
				379F4255E02B593B42DDE51A /* libPods-Bonus.a in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		504A05D193BC4E887DBEF2ED /* Pods */ = {
			isa = PBXGroup;
			children = (
				F6E6445304AEBFE693FC6625 /* Pods-Bonus.debug.xcconfig */,
				B96EBA7629C4011E6FD672AA /* Pods-Bonus.release.xcconfig */,
			);
			name = Pods;
			sourceTree = "<group>";
		};
		925741201F21540600EFF11C /* ShopVc */ = {
			isa = PBXGroup;
			children = (
				9275055C1F267ED5004B7D98 /* PromoShopCompleteController.h */,
				9275055D1F267ED5004B7D98 /* PromoShopCompleteController.m */,
				9257411D1F2153F600EFF11C /* PromoShopPinEnterController.m */,
				9257411E1F2153F600EFF11C /* PromoShopPinEnterController.h */,
				9257411B1F2147A200EFF11C /* PurchaseShopWithPromoCodeController.h */,
				9257411A1F2147A200EFF11C /* PurchaseShopWithPromoCodeController.m */,
			);
			name = ShopVc;
			sourceTree = "<group>";
		};
		936A5B90A837452259969007 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				FA2834FC1E4247B20092F0E5 /* UserNotificationsUI.framework */,
				FAF1C22E1E41F7200028672A /* UserNotifications.framework */,
				BB32D5DE2EB57E7A580EED53 /* libPods-Bonus.a */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		FA281FC81E40D425005F8D18 /* img */ = {
			isa = PBXGroup;
			children = (
				FA281FC91E40D433005F8D18 /* ic_arrow_back.imageset */,
			);
			name = img;
			sourceTree = "<group>";
		};
		FA281FC91E40D433005F8D18 /* ic_arrow_back.imageset */ = {
			isa = PBXGroup;
			children = (
				FA281FCB1E40D433005F8D18 /* ic_arrow_back.png */,
				FA281FCC1E40D433005F8D18 /* ic_arrow_back_2x.png */,
				FA281FCD1E40D433005F8D18 /* ic_arrow_back_3x.png */,
			);
			path = ic_arrow_back.imageset;
			sourceTree = "<group>";
		};
		FA38A5441E2BFDE300F76774 /* CHRTextFieldFormatter */ = {
			isa = PBXGroup;
			children = (
				FA38A5451E2BFDE300F76774 /* CHRCardNumberMask.h */,
				FA38A5461E2BFDE300F76774 /* CHRCardNumberMask.m */,
				FA38A5471E2BFDE300F76774 /* CHRPhoneNumberMask.h */,
				FA38A5481E2BFDE300F76774 /* CHRPhoneNumberMask.m */,
				FA38A5491E2BFDE300F76774 /* CHRTextFieldFormatter.h */,
				FA38A54A1E2BFDE300F76774 /* CHRTextFieldFormatter.m */,
				FA38A54B1E2BFDE300F76774 /* CHRTextMask.h */,
			);
			path = CHRTextFieldFormatter;
			sourceTree = "<group>";
		};
		FA8245C51E2CDFAA00A0D6EB /* Scanners */ = {
			isa = PBXGroup;
			children = (
				FA8245C61E2CDFAA00A0D6EB /* MTBBarcodeScanner.h */,
				FA8245C71E2CDFAA00A0D6EB /* MTBBarcodeScanner.m */,
			);
			path = Scanners;
			sourceTree = "<group>";
		};
		FAA1C34F1E2B8CC6001C86FE = {
			isa = PBXGroup;
			children = (
				FAA1C35A1E2B8CC7001C86FE /* Bonus */,
				FAA1C3591E2B8CC7001C86FE /* Products */,
				504A05D193BC4E887DBEF2ED /* Pods */,
				936A5B90A837452259969007 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		FAA1C3591E2B8CC7001C86FE /* Products */ = {
			isa = PBXGroup;
			children = (
				FAA1C3581E2B8CC7001C86FE /* Bonus.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		FAA1C35A1E2B8CC7001C86FE /* Bonus */ = {
			isa = PBXGroup;
			children = (
				FAF1C2301E4216030028672A /* Bonus.entitlements */,
				FACFB20D1E41F349008A3365 /* GoogleService-Info.plist */,
				FA281FC81E40D425005F8D18 /* img */,
				FAA1C3AC1E2BAB33001C86FE /* models */,
				FAA1C3721E2B8CEB001C86FE /* Controllers */,
				FAA1C35E1E2B8CC7001C86FE /* AppDelegate.h */,
				FAA1C35F1E2B8CC7001C86FE /* AppDelegate.m */,
				FAA1C3641E2B8CC7001C86FE /* Main.storyboard */,
				FAA1C3671E2B8CC7001C86FE /* Assets.xcassets */,
				FAA1C3691E2B8CC7001C86FE /* LaunchScreen.storyboard */,
				FAA1C36C1E2B8CC7001C86FE /* Info.plist */,
				FAA1C3761E2B990B001C86FE /* frameworks */,
				FAA1C35B1E2B8CC7001C86FE /* Supporting Files */,
				FAA1C3A91E2B99B2001C86FE /* ServerManager.h */,
				FAA1C3AA1E2B99B2001C86FE /* ServerManager.m */,
				FA38A54F1E2C237A00F76774 /* Constants.h */,
				9286EE1D1F16AD99007BF018 /* Utils.h */,
				9286EE1E1F16AD99007BF018 /* Utils.m */,
			);
			path = Bonus;
			sourceTree = "<group>";
		};
		FAA1C35B1E2B8CC7001C86FE /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				FAA1C35C1E2B8CC7001C86FE /* main.m */,
			);
			name = "Supporting Files";
			sourceTree = "<group>";
		};
		FAA1C3721E2B8CEB001C86FE /* Controllers */ = {
			isa = PBXGroup;
			children = (
				925741201F21540600EFF11C /* ShopVc */,
				FA281FD81E40F1DE005F8D18 /* BaseViewController.h */,
				FA281FD91E40F1DE005F8D18 /* BaseViewController.m */,
				FAA1C3731E2B8D08001C86FE /* LoginController.h */,
				FAA1C3741E2B8D08001C86FE /* LoginController.m */,
				FA38A5411E2BF70A00F76774 /* BonusesController.h */,
				FA38A5421E2BF70A00F76774 /* BonusesController.m */,
				FA38A5501E2C37E100F76774 /* BonusInfoController.h */,
				FA38A5511E2C37E100F76774 /* BonusInfoController.m */,
				FAD00E5A1E2CC0DA00FE696E /* ScanController.h */,
				FAD00E5B1E2CC0DA00FE696E /* ScanController.m */,
				FA7B1B3C1E3500CA00FEAE92 /* PinCodeGetController.h */,
				FA7B1B3D1E3500CA00FEAE92 /* PinCodeGetController.m */,
				FAD5B48A1E3F555B00521825 /* CompleteController.h */,
				FAD5B48B1E3F555B00521825 /* CompleteController.m */,
				FABB88F01E3F5E9900D88989 /* ClientController.h */,
				FABB88F11E3F5E9900D88989 /* ClientController.m */,
				FA00817C1E408E6700EFBF8A /* PurchaseWithPromoCodeController.h */,
				FA00817D1E408E6700EFBF8A /* PurchaseWithPromoCodeController.m */,
				FA281FC51E40C2F2005F8D18 /* PromoPinEnterController.h */,
				FA281FC61E40C2F2005F8D18 /* PromoPinEnterController.m */,
				FA281FD21E40E96C005F8D18 /* PromoCompleteController.h */,
				FA281FD31E40E96C005F8D18 /* PromoCompleteController.m */,
			);
			name = Controllers;
			sourceTree = "<group>";
		};
		FAA1C3761E2B990B001C86FE /* frameworks */ = {
			isa = PBXGroup;
			children = (
				FA8245C51E2CDFAA00A0D6EB /* Scanners */,
				FA38A5441E2BFDE300F76774 /* CHRTextFieldFormatter */,
				FAA1C3771E2B9956001C86FE /* UIKit+AFNetworking */,
				FAA1C38C1E2B9956001C86FE /* AFNetworking */,
			);
			name = frameworks;
			sourceTree = "<group>";
		};
		FAA1C3771E2B9956001C86FE /* UIKit+AFNetworking */ = {
			isa = PBXGroup;
			children = (
				FAA1C3781E2B9956001C86FE /* AFAutoPurgingImageCache.h */,
				FAA1C3791E2B9956001C86FE /* AFAutoPurgingImageCache.m */,
				FAA1C37A1E2B9956001C86FE /* AFImageDownloader.h */,
				FAA1C37B1E2B9956001C86FE /* AFImageDownloader.m */,
				FAA1C37C1E2B9956001C86FE /* AFNetworkActivityIndicatorManager.h */,
				FAA1C37D1E2B9956001C86FE /* AFNetworkActivityIndicatorManager.m */,
				FAA1C37E1E2B9956001C86FE /* UIActivityIndicatorView+AFNetworking.h */,
				FAA1C37F1E2B9956001C86FE /* UIActivityIndicatorView+AFNetworking.m */,
				FAA1C3801E2B9956001C86FE /* UIButton+AFNetworking.h */,
				FAA1C3811E2B9956001C86FE /* UIButton+AFNetworking.m */,
				FAA1C3821E2B9956001C86FE /* UIImage+AFNetworking.h */,
				FAA1C3831E2B9956001C86FE /* UIImageView+AFNetworking.h */,
				FAA1C3841E2B9956001C86FE /* UIImageView+AFNetworking.m */,
				FAA1C3851E2B9956001C86FE /* UIKit+AFNetworking.h */,
				FAA1C3861E2B9956001C86FE /* UIProgressView+AFNetworking.h */,
				FAA1C3871E2B9956001C86FE /* UIProgressView+AFNetworking.m */,
				FAA1C3881E2B9956001C86FE /* UIRefreshControl+AFNetworking.h */,
				FAA1C3891E2B9956001C86FE /* UIRefreshControl+AFNetworking.m */,
				FAA1C38A1E2B9956001C86FE /* UIWebView+AFNetworking.h */,
				FAA1C38B1E2B9956001C86FE /* UIWebView+AFNetworking.m */,
			);
			path = "UIKit+AFNetworking";
			sourceTree = "<group>";
		};
		FAA1C38C1E2B9956001C86FE /* AFNetworking */ = {
			isa = PBXGroup;
			children = (
				FAA1C38D1E2B9956001C86FE /* AFHTTPSessionManager.h */,
				FAA1C38E1E2B9956001C86FE /* AFHTTPSessionManager.m */,
				FAA1C38F1E2B9956001C86FE /* AFNetworking.h */,
				FAA1C3901E2B9956001C86FE /* AFNetworkReachabilityManager.h */,
				FAA1C3911E2B9956001C86FE /* AFNetworkReachabilityManager.m */,
				FAA1C3921E2B9956001C86FE /* AFSecurityPolicy.h */,
				FAA1C3931E2B9956001C86FE /* AFSecurityPolicy.m */,
				FAA1C3941E2B9956001C86FE /* AFURLRequestSerialization.h */,
				FAA1C3951E2B9956001C86FE /* AFURLRequestSerialization.m */,
				FAA1C3961E2B9956001C86FE /* AFURLResponseSerialization.h */,
				FAA1C3971E2B9956001C86FE /* AFURLResponseSerialization.m */,
				FAA1C3981E2B9956001C86FE /* AFURLSessionManager.h */,
				FAA1C3991E2B9956001C86FE /* AFURLSessionManager.m */,
			);
			path = AFNetworking;
			sourceTree = "<group>";
		};
		FAA1C3AC1E2BAB33001C86FE /* models */ = {
			isa = PBXGroup;
			children = (
				FABB88F31E3F756900D88989 /* userInfo */,
				FAA1C3AD1E2BAB4C001C86FE /* UserI.h */,
				FAA1C3AE1E2BAB4C001C86FE /* UserI.m */,
				FAD5B4871E3F3FC800521825 /* RESTData.h */,
				FAD5B4881E3F3FC800521825 /* RESTData.m */,
				FABB89041E3F97A700D88989 /* ClientCell.h */,
				FABB89051E3F97A700D88989 /* ClientCell.m */,
				FA00817F1E40A67900EFBF8A /* Discount.h */,
				FA0081801E40A67900EFBF8A /* Discount.m */,
			);
			name = models;
			sourceTree = "<group>";
		};
		FABB88F31E3F756900D88989 /* userInfo */ = {
			isa = PBXGroup;
			children = (
				FABB88F41E3F756900D88989 /* BaseClass.h */,
				FABB88F51E3F756900D88989 /* BaseClass.m */,
				FABB88F61E3F756900D88989 /* Companies.h */,
				FABB88F71E3F756900D88989 /* Companies.m */,
				FABB88F81E3F756900D88989 /* Data.h */,
				FABB88F91E3F756900D88989 /* Data.m */,
				FABB88FA1E3F756900D88989 /* DataModels.h */,
				FABB88FB1E3F756900D88989 /* List.h */,
				FABB88FC1E3F756900D88989 /* List.m */,
				FABB88FD1E3F756900D88989 /* User.h */,
				FABB88FE1E3F756900D88989 /* User.m */,
			);
			path = userInfo;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		FAA1C3571E2B8CC6001C86FE /* Bonus */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = FAA1C36F1E2B8CC7001C86FE /* Build configuration list for PBXNativeTarget "Bonus" */;
			buildPhases = (
				EFACB63E825439F004B33AD4 /* [CP] Check Pods Manifest.lock */,
				FAA1C3541E2B8CC6001C86FE /* Sources */,
				FAA1C3551E2B8CC6001C86FE /* Frameworks */,
				FAA1C3561E2B8CC6001C86FE /* Resources */,
				3FCA8724546FE0915F4CF63C /* [CP] Embed Pods Frameworks */,
				56F445653E95615C6504B621 /* [CP] Copy Pods Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Bonus;
			productName = Bonus;
			productReference = FAA1C3581E2B8CC7001C86FE /* Bonus.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		FAA1C3501E2B8CC6001C86FE /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 0820;
				ORGANIZATIONNAME = Asta.Mobi;
				TargetAttributes = {
					FAA1C3571E2B8CC6001C86FE = {
						CreatedOnToolsVersion = 8.2;
						DevelopmentTeam = 66FMX5EG22;
						ProvisioningStyle = Automatic;
						SystemCapabilities = {
							com.apple.BackgroundModes = {
								enabled = 1;
							};
							com.apple.Keychain = {
								enabled = 1;
							};
							com.apple.Push = {
								enabled = 1;
							};
						};
					};
				};
			};
			buildConfigurationList = FAA1C3531E2B8CC6001C86FE /* Build configuration list for PBXProject "Bonus" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = FAA1C34F1E2B8CC6001C86FE;
			productRefGroup = FAA1C3591E2B8CC7001C86FE /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				FAA1C3571E2B8CC6001C86FE /* Bonus */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		FAA1C3561E2B8CC6001C86FE /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FA281FD11E40D433005F8D18 /* ic_arrow_back_3x.png in Resources */,
				FAA1C36B1E2B8CC7001C86FE /* LaunchScreen.storyboard in Resources */,
				FAA1C3681E2B8CC7001C86FE /* Assets.xcassets in Resources */,
				FAA1C3661E2B8CC7001C86FE /* Main.storyboard in Resources */,
				FA281FCF1E40D433005F8D18 /* ic_arrow_back.png in Resources */,
				FA281FD01E40D433005F8D18 /* ic_arrow_back_2x.png in Resources */,
				FACFB20E1E41F349008A3365 /* GoogleService-Info.plist in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		3FCA8724546FE0915F4CF63C /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "[CP] Embed Pods Frameworks";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-Bonus/Pods-Bonus-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		56F445653E95615C6504B621 /* [CP] Copy Pods Resources */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "[CP] Copy Pods Resources";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-Bonus/Pods-Bonus-resources.sh\"\n";
			showEnvVarsInLog = 0;
		};
		EFACB63E825439F004B33AD4 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "[CP] Check Pods Manifest.lock";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		FAA1C3541E2B8CC6001C86FE /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				9286EE1F1F16AD99007BF018 /* Utils.m in Sources */,
				FA0081811E40A67900EFBF8A /* Discount.m in Sources */,
				FABB89021E3F756900D88989 /* List.m in Sources */,
				FAA1C3AF1E2BAB4C001C86FE /* UserI.m in Sources */,
				FAA1C3601E2B8CC7001C86FE /* AppDelegate.m in Sources */,
				FAA1C3A51E2B9957001C86FE /* AFSecurityPolicy.m in Sources */,
				FA7B1B3E1E3500CA00FEAE92 /* PinCodeGetController.m in Sources */,
				FAA1C35D1E2B8CC7001C86FE /* main.m in Sources */,
				FA38A54E1E2BFDE300F76774 /* CHRTextFieldFormatter.m in Sources */,
				FABB89001E3F756900D88989 /* Companies.m in Sources */,
				FAA1C39C1E2B9956001C86FE /* AFNetworkActivityIndicatorManager.m in Sources */,
				FA281FC71E40C2F2005F8D18 /* PromoPinEnterController.m in Sources */,
				FA38A54D1E2BFDE300F76774 /* CHRPhoneNumberMask.m in Sources */,
				FAA1C39B1E2B9956001C86FE /* AFImageDownloader.m in Sources */,
				FAA1C3A01E2B9956001C86FE /* UIProgressView+AFNetworking.m in Sources */,
				FAA1C3751E2B8D08001C86FE /* LoginController.m in Sources */,
				FA281FDA1E40F1DE005F8D18 /* BaseViewController.m in Sources */,
				9257411C1F2147A200EFF11C /* PurchaseShopWithPromoCodeController.m in Sources */,
				FAA1C3AB1E2B99B2001C86FE /* ServerManager.m in Sources */,
				FAA1C3A61E2B9957001C86FE /* AFURLRequestSerialization.m in Sources */,
				FAD00E5C1E2CC0DA00FE696E /* ScanController.m in Sources */,
				FABB89011E3F756900D88989 /* Data.m in Sources */,
				FAD5B48C1E3F555B00521825 /* CompleteController.m in Sources */,
				FA38A5431E2BF70A00F76774 /* BonusesController.m in Sources */,
				FAD5B4891E3F3FC800521825 /* RESTData.m in Sources */,
				FABB89031E3F756900D88989 /* User.m in Sources */,
				FABB88F21E3F5E9900D88989 /* ClientController.m in Sources */,
				FA38A5521E2C37E100F76774 /* BonusInfoController.m in Sources */,
				FAA1C39A1E2B9956001C86FE /* AFAutoPurgingImageCache.m in Sources */,
				FAA1C3A81E2B9957001C86FE /* AFURLSessionManager.m in Sources */,
				FAA1C3A11E2B9957001C86FE /* UIRefreshControl+AFNetworking.m in Sources */,
				FAA1C3A21E2B9957001C86FE /* UIWebView+AFNetworking.m in Sources */,
				9257411F1F2153F600EFF11C /* PromoShopPinEnterController.m in Sources */,
				FABB88FF1E3F756900D88989 /* BaseClass.m in Sources */,
				FAA1C39E1E2B9956001C86FE /* UIButton+AFNetworking.m in Sources */,
				FAA1C3A71E2B9957001C86FE /* AFURLResponseSerialization.m in Sources */,
				FAA1C3A41E2B9957001C86FE /* AFNetworkReachabilityManager.m in Sources */,
				FA8245C81E2CDFAA00A0D6EB /* MTBBarcodeScanner.m in Sources */,
				9275055E1F267ED5004B7D98 /* PromoShopCompleteController.m in Sources */,
				FABB89061E3F97A700D88989 /* ClientCell.m in Sources */,
				FA281FD41E40E96C005F8D18 /* PromoCompleteController.m in Sources */,
				FA00817E1E408E6700EFBF8A /* PurchaseWithPromoCodeController.m in Sources */,
				FAA1C39F1E2B9956001C86FE /* UIImageView+AFNetworking.m in Sources */,
				FAA1C39D1E2B9956001C86FE /* UIActivityIndicatorView+AFNetworking.m in Sources */,
				FA38A54C1E2BFDE300F76774 /* CHRCardNumberMask.m in Sources */,
				FAA1C3A31E2B9957001C86FE /* AFHTTPSessionManager.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		FAA1C3641E2B8CC7001C86FE /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				FAA1C3651E2B8CC7001C86FE /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		FAA1C3691E2B8CC7001C86FE /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				FAA1C36A1E2B8CC7001C86FE /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		FAA1C36D1E2B8CC7001C86FE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.2;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
			};
			name = Debug;
		};
		FAA1C36E1E2B8CC7001C86FE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		FAA1C3701E2B8CC7001C86FE /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = F6E6445304AEBFE693FC6625 /* Pods-Bonus.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_ENTITLEMENTS = Bonus/Bonus.entitlements;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				DEVELOPMENT_TEAM = 66FMX5EG22;
				INFOPLIST_FILE = Bonus/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 8.2;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.GoldMoneyPlus;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE = "";
				PROVISIONING_PROFILE_SPECIFIER = "";
			};
			name = Debug;
		};
		FAA1C3711E2B8CC7001C86FE /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = B96EBA7629C4011E6FD672AA /* Pods-Bonus.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_ENTITLEMENTS = Bonus/Bonus.entitlements;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				DEVELOPMENT_TEAM = 66FMX5EG22;
				INFOPLIST_FILE = Bonus/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 8.2;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.GoldMoneyPlus;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE = "";
				PROVISIONING_PROFILE_SPECIFIER = "";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		FAA1C3531E2B8CC6001C86FE /* Build configuration list for PBXProject "Bonus" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FAA1C36D1E2B8CC7001C86FE /* Debug */,
				FAA1C36E1E2B8CC7001C86FE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		FAA1C36F1E2B8CC7001C86FE /* Build configuration list for PBXNativeTarget "Bonus" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FAA1C3701E2B8CC7001C86FE /* Debug */,
				FAA1C3711E2B8CC7001C86FE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = FAA1C3501E2B8CC6001C86FE /* Project object */;
}
